package com.gree.mall.manager.enums.repair.settle;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum IssueSummaryStatusEnum implements BaseEnum, IEnum<Integer> {
    WAIT("1","待发放"),
    END("2","已发放"),
    HOLD("3","银行受理中"),
    ERROR("4","发放失败"),
    REJECT("5","驳回"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

    @Override
    public Integer getValue() {
        return Integer.parseInt(key);
    }
}
